<script lang="ts">
  export let id;
  export let label;
  export let value;
  export let options = ['United States', 'Canada', 'France', 'Germany'];
  export let required = false;
  export let hasIcon = false;
</script>

{#if label}
  <label for={id} class="block pb-2 text-sm font-medium text-gray-900 dark:text-gray-400">
    {label}
    {#if required}
      <span class="text-red-600 dark:text-red-500">*</span>
    {/if}
  </label>
{/if}
<div class="relative">
  <div class="flex absolute inset-y-0 left-0 items-center pl-3 pointer-events-none text-red-600">
    <slot></slot>
  </div>
  <select
    {id}
    bind:value
    class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-1 focus:ring-blue-500 focus:border-blue-500
      block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white
      hover:ring-1 hover:ring-blue-500 hover:border-blue-500 dark:hover:ring-blue-500 dark:hover:border-blue-500
      dark:focus:ring-blue-500 dark:focus:border-blue-500"
    class:pl-10={hasIcon}
  >
    {#each options as option}
      <option value={option.value}>{option.label}</option>
    {/each}
  </select>
</div>
